Bug 227476

Summary: at-spi-registryd wakes up over 13 times per second
Product: [Fedora] Fedora Reporter: Arjan van de Ven <arjan>
Component: at-spiAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: bnocera, dann, drees76, notting, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:04:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 204948, 418441    

Description Arjan van de Ven 2007-02-06 05:33:33 EST
Description of problem:
frequent wakeups prevent the CPU from going into deep sleep states, which in
turn costs quite a bit of extra power (and thus battery life).
The FC6 at-spi-registryd didn't use to do this
Comment 1 Arjan van de Ven 2007-02-06 05:42:39 EST
static gboolean
spi_dec_poll_mouse_moving (gpointer data)
{
  if (spi_dec_poll_mouse_moved (data))
    return TRUE;
  else
    {
      g_timeout_add (100, spi_dec_poll_mouse_idle, data);
      return FALSE;
    }
}



this is the guilty code.. it appears to be a totally gratuitous 100msec poll
loop... ARGH.
Comment 2 Bill Nottingham 2007-05-11 19:50:05 EDT
*** Bug 239894 has been marked as a duplicate of this bug. ***
Comment 3 Arjan van de Ven 2007-08-09 23:21:41 EDT
ping? This is still present in FC8T1 and very high on the list of wakeups..
Comment 4 William Lovaton 2007-08-19 13:50:22 EDT
+1

This is annoying.  I had to disable accessibility because of this.
Comment 5 dann 2008-01-03 21:49:45 EST
Still present in F8, even before logging in, in gdm.
Comment 6 Bug Zapper 2008-04-03 15:02:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 dann 2008-04-08 12:20:53 EDT
(In reply to comment #6)
> Based on the date this bug was created, it appears to have been reported
> against rawhide during the development of a Fedora release that is no
> longer maintained. In order to refocus our efforts as a project we are
> flagging all of the open bugs for releases which are no longer
> maintained. If this bug remains in NEEDINFO thirty (30) days from now,
> we will automatically close it.

Dear Mr. BugZapper,

Please see comment #5 that clearly states that this problem occurs in Fedora 8.
Comment 8 John Poelstra 2008-05-01 19:18:39 EDT
Thank you for your update.
Comment 9 Bug Zapper 2008-11-26 02:10:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:04:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.